<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" 
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" 
	layout:decorate="~{fragments/layout_transaksi}">
<head>
	<title>Pengajuan</title>
</head>
<body>

	<div layout:fragment="content">
	<h1>Pengajuan</h1>
    <table width="100%" cellpadding="10">
        <thead>
            <tr>
                <td bgcolor="lightblue">
                    
                    <button class="btn btn-success" id="newtrans" onclick="newtrans()"> Nominal Pinjaman</button>

                    <input  type="hidden" id="idtransaksi">
                </td>
            </tr>
        </thead>
        <tbody >
            <tr>
                <td id="datadetail"></td>
            </tr>
        </tbody>
            
        </table>
        <script>
            
			datadetail();
		    
            function datadetail(){
                var idtrans = $('#idtransaksi').val()
                $.ajax({
                    url: '/transaksi/pengajuan/get/'+ idtrans,
                    type: 'get',
                    contentType:'application/json',
                    success:function(result){
                        
                        var str='<table class="table">'
						str += '<tr>'
						str += '<th colspan="2">Nominal Peminjaman</th>'
						str += '</tr>'
					for(i=0; i<result.length; i++){
						str += '<tr>'
						str += '<td>'+result[i].peminjaman+'</td>'
                        str += '<td><button class="btn btn-primary" onclick=pengajuan() >Ajukan Pinjaman</button></td>'
						str += '</tr>'
                        str += '</table>'
					}
					console.log(idtrans)
					$('#datadetail').html(str)
                    }
                })
            }

        function newtrans(){
            var form = '<table class="table-borderless">'
			form += '<tr>'
			form += '<td>Nominal pinjaman</td>'
			form += '<td><input type="number" size="10"  id="peminjaman" class="form-control"></td>'
			form += '</tr>'
            form += '<tr>'
            form += '<td><p id="val" style="color:red;"></p></td>'
			form += '<td> <button class="btn btn-primary" onclick="simpan()">Simpan</button> </td>'
			form += '</tr>'
            form += '</table>'
            $('#mymodal').modal('show')
			$('.modal-title').html('Pengajuan nominal pinjaman')
			$('.modal-body').html(form) 
            
            if($('#idpeminjaman').val()<"500000"){
                document.getElementById("val").innerHTML='Minimal Pinjaman 500.000'
            }else if($('#idpeminjaman').val()>"20000000"){
                document.getElementById("val").innerHTML='Minimal Pinjaman 500.000'
            }
        } 
        function simpan() {
            var dnow = Date.now()
            var data ='{'
                data += '"reference":"'+dnow+'",'
                data += '"peminjaman":'+$('#peminjaman').val()
                data += '}'

                $.ajax({
                    url: '/transaksi/pengajuan/',
                    type: 'post',
                    data: data,
                    contentType: 'application/json',
                    success:function(result){
                        $('#reference').val(result.reference)
					    $('#idtransaksi').val(result.id)
                        $('#mymodal').modal('hide')
                        datadetail();
                        $('#pinjaman').prop('disabled', false)
                    }
                })
        }   

        </script>
	
